#!/usr/bin/bash

rundir=/run/cagefootv$1
link=${rundir}/pts

if [[ ! -L ${link} ]]; then
    echo "Error cannot read ${link}, is cagefootvt@$1 running?"
    exit 1
fi
pty=$(readlink ${link})

#Remove prefix /dev/
ptyn=${pty:5}

echo "Starting agetty on ${ptyn}"
setsid -w /sbin/agetty -o '-p -- \u' ${ptyn} linux
